org.apache.ignite.stream

## Interface StreamReceiver<K,V>

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  PlatformStreamReceiver

All Known Implementing Classes:
  DataStreamerImpl.IsolatedUpdater, IgniteDrDataStreamerCacheUpdater, PlatformStreamReceiverImpl, StreamTransformer, StreamVisitor

    public interface StreamReceiver<K,V>
    extends Serializable

Updates cache with batch of entries. Usually it is enough to configure `IgniteDataStreamer.allowOverwrite(boolean)` property and appropriate internal cache receiver will be chosen automatically. But in some cases to achieve best performance custom user-defined implementation may help.

Data streamer can be configured to use custom implementation of the receiver instead of default one using `IgniteDataStreamer.receiver(StreamReceiver)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `receive(IgniteCache<K,V> cache, Collection<Map.Entry<K,V>> entries)` Updates cache with batch of entries.

### Method Detail

#### receive

    void receive(IgniteCache<K,V> cache,
                 Collection<Map.Entry<K,V>> entries)
          throws IgniteException

Updates cache with batch of entries.

Parameters:
  `cache` - Cache.
  `entries` - Collection of entries.
Throws:
  `IgniteException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022